sc_disconnect_card(3)

NAME
sc_disconnect_card - disconnect from smart card

SYNOPSIS
#include <opensc.h>

int sc_disconnect_card(sc_card_t *card,
                       int action);

DESCRIPTION
This function disconnects from a card in a reader, and frees the card structure. Any locks made by the application must be released before calling this function.

The action parameter is not used at the moment and should be set to 0.

The card is not reset nor powered down after the operation.

RETURN VALUE
If an error occurred, a negative error code is returned, as described in sc_error(3). Otherwise, the function will return 0.

SEE ALSO
sc_connect_card(3).

AUTHOR
This manual page was written by Olaf Kirch <okir@suse.de>